Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 739578 - dev-python/immutables: fails test PyMapNoneTest.test_none_collisions
Summary: dev-python/immutables: fails test PyMapNoneTest.test_none_collisions
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Python Gentoo Team
URL:
Whiteboard:
Keywords: TESTFAILURE
: 751238 (view as bug list)
Depends on:
Blocks: 734414 776073
  Show dependency tree
 
Reported: 2020-08-29 23:39 UTC by Thomas Deutschmann
Modified: 2021-04-12 13:24 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,16.79 KB, text/plain)
2020-08-29 23:39 UTC, Thomas Deutschmann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Deutschmann gentoo-dev Security 2020-08-29 23:39:24 UTC
Created attachment 657450 [details]
build.log

> ======================================================= FAILURES =======================================================
> __________________________________________ PyMapNoneTest.test_none_collisions __________________________________________
> Traceback (most recent call last):
>   File "/var/tmp/portage/dev-python/immutables-0.14/work/immutables-0.14/tests/test_none_keys.py", line 47, in test_none_collisions
>     self.assertEqual(map_mask(c_hash, j*5), idx)
>   File "/usr/lib/python3.7/unittest/case.py", line 852, in assertEqual
>     assertion_func(first, second, msg=msg)
>   File "/usr/lib/python3.7/unittest/case.py", line 845, in _baseAssertEqual
>     raise self.failureException(msg)
> AssertionError: 10 != 9
> =============================================== short test summary info ================================================
> FAILED tests/test_none_keys.py::PyMapNoneTest::test_none_collisions - AssertionError: 10 != 9
> ======================================= 1 failed, 74 passed, 77 skipped in 7.96s =======================================
>  * ERROR: dev-python/immutables-0.14::gentoo failed (test phase):
>  *   Tests fail with python3.7
> 


Portage 3.0.4 (python 3.7.8-final-0, default/linux/x86/17.0, gcc-9.3.0, glibc-2.31-r6, 5.4.60-gentoo-x86-kmod i686)
=================================================================
System uname: Linux-5.4.60-gentoo-x86-kmod-i686-with-gentoo-2.6
KiB Mem:     3106040 total,   1176648 free
KiB Swap:    8875836 total,   8875060 free
Timestamp of repository gentoo: Sat, 29 Aug 2020 12:35:28 +0000
Head commit of repository gentoo: 12379b5f47de6706ec7688be6d482aa64aa377aa

sh bash 5.0_p18
ld GNU ld (Gentoo 2.33.1 p2) 2.33.1
ccache version 3.7.11 [disabled]
app-shells/bash:          5.0_p18::gentoo
dev-lang/perl:            5.30.3::gentoo
dev-lang/python:          2.7.18-r1::gentoo, 3.6.11-r2::gentoo, 3.7.8-r2::gentoo, 3.8.5::gentoo
dev-util/ccache:          3.7.11::gentoo
dev-util/cmake:           3.16.5::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.6-r1::gentoo
sys-apps/openrc:          0.42.1::gentoo
sys-apps/sandbox:         2.18::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r5::gentoo
sys-devel/automake:       1.16.1-r1::gentoo
sys-devel/binutils:       2.33.1-r1::gentoo
sys-devel/gcc:            9.3.0-r1::gentoo
sys-devel/gcc-config:     2.3.1::gentoo
sys-devel/libtool:        2.4.6-r6::gentoo
sys-devel/make:           4.2.1-r4::gentoo
sys-kernel/linux-headers: 5.4-r1::gentoo (virtual/os-headers)
sys-libs/glibc:           2.31-r6::gentoo

ABI="x86"
ABI_X86="32"
ACCEPT_KEYWORDS="x86"
Comment 1 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-09-03 19:43:22 UTC
It seems specific to x86.
Comment 2 Sam James archtester gentoo-dev Security 2020-09-16 02:42:13 UTC
Same on arm so probably 32-bit related.
Comment 3 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-10-25 20:21:11 UTC
*** Bug 751238 has been marked as a duplicate of this bug. ***
Comment 4 Thomas Deutschmann gentoo-dev Security 2021-03-30 14:03:22 UTC
Still failing in 0.15.
Comment 5 Larry the Git Cow gentoo-dev 2021-04-12 13:20:37 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=38025b0203f4e966f98d063a1ce4aa488fdd1e4d

commit 38025b0203f4e966f98d063a1ce4aa488fdd1e4d
Author:     Michał Górny <mgorny@gentoo.org>
AuthorDate: 2021-04-12 13:19:27 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2021-04-12 13:20:29 +0000

    dev-python/immutables: Remove 32-bit arch keywords
    
    Closes: https://bugs.gentoo.org/739578
    Signed-off-by: Michał Górny <mgorny@gentoo.org>

 dev-python/immutables/immutables-0.14.ebuild | 2 +-
 dev-python/immutables/immutables-0.15.ebuild | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)